[Previous] [Next] [Up] [Top]

### NAME

ft_dataread,ft_dataswap -Routines to handle FITS image data.

### SYNOPSIS

    void *ft_dataread(File file, FITSHead fits, void *dataptr, int pixtype);
    void *ft_dataswap(void *data, int n, int type);

### PARAMETERS

- File file - File pointer to read data from.
- FITSHead fits - Not Documented.
- void *dataptr - Pointer to data buffer to store data.
- int pixtype - Pixtype to convert data to.
- void *data - Pointer to data to swap.
- int n - N bytes
- int type - Swap 2 or swap 4.

### DESCRIPTION

#### ft_dataread

Read data from a file pointer and convert it to the requested type.

#### ft_dataswap

Swap n bytes of data if necessary.

[Previous] [Next] [Up] [Top]